Loading...
Searching...
No Matches
lutok::error Class Reference

Base exception for lua errors. More...

`#include <exceptions.hpp>`

Inheritance diagram for lutok::error:
[legend]
Collaboration diagram for lutok::error:
[legend]

## Public Member Functions

| error (const std::string &)
| Constructs a new error with a plain-text message.
virtual | ~error (void) throw ()
| Destructor for the error.

## Detailed Description

Base exception for lua errors.

## Constructor & Destructor Documentation

## error()

lutok::error::error | ( | const std::string & | message | ) |

explicit

Constructs a new error with a plain-text message.

Parameters

  message | The plain-text error message.

The documentation for this class was generated from the following files:

- exceptions.hpp
- exceptions.cpp